# BnsContractCallOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- BnsContractCallOptions

## Index

### Properties

- attachment
- functionArgs
- functionName
- network
- publicKey

## Properties

### Optional attachment

attachment: Buffer

- Defined in packages/bns/src/index.ts:72

### functionArgs

functionArgs: ClarityValue []

- Defined in packages/bns/src/index.ts:69

### functionName

functionName: string

- Defined in packages/bns/src/index.ts:68

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:71

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:70

Generated using TypeDoc